#ifndef INTEGRAL_H
#define INTEGRAL_H

#include <math.h>
#include "func_ptr.h"

typedef double (*method_ptr)(func_ptr, double, double);

double rectangle(func_ptr f, double a, double b);
double trapezoidal(func_ptr f, double a, double b);
double simpson(func_ptr f, double a, double b);
double gauss(func_ptr f, double a, double b);
double integral(func_ptr f, method_ptr method, double a, double b, int steps);

#endif
